Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Java™ Platform Standard Ed. 6
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## java.security.cert
Class CertificateEncodingException

    java.lang.Object
      java.lang.Throwable
          java.lang.Exception
              java.security.GeneralSecurityException
                  java.security.cert.CertificateException
                      java.security.cert.CertificateEncodingException

All Implemented Interfaces:
  Serializable

    public class CertificateEncodingException

extends CertificateException

Certificate Encoding Exception. This is thrown whenever an error occurs while attempting to encode a certificate.

See Also:
  Serialized Form

Constructor Summary
`CertificateEncodingException()` Constructs a CertificateEncodingException with no detail message.
`CertificateEncodingException(String message)` Constructs a CertificateEncodingException with the specified detail message.
`CertificateEncodingException(String message, Throwable cause)` Creates a `CertificateEncodingException` with the specified detail message and cause.
`CertificateEncodingException(Throwable cause)` Creates a `CertificateEncodingException` with the specified cause and a detail message of `(cause==null ? null : cause.toString())` (which typically contains the class and detail message of `cause`).

Method Summary

Methods inherited from class java.lang.Throwable
`fillInStackTrace, getCause, getLocalizedMessage, getMessage, getStackTrace, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### CertificateEncodingException

    public CertificateEncodingException()

  Constructs a CertificateEncodingException with no detail message. A detail message is a String that describes this particular exception.

### CertificateEncodingException

    public CertificateEncodingException(String message)

  Constructs a CertificateEncodingException with the specified detail message. A detail message is a String that describes this particular exception.

  Parameters:
    `message` - the detail message.

### CertificateEncodingException

    public CertificateEncodingException(String message,
                                        Throwable cause)

  Creates a `CertificateEncodingException` with the specified detail message and cause.

  Parameters:
    `message` - the detail message (which is saved for later retrieval by the `Throwable.getMessage()` method).
    `cause` - the cause (which is saved for later retrieval by the `Throwable.getCause()` method). (A `null` value is permitted, and indicates that the cause is nonexistent or unknown.)
  Since:
    1.5

### CertificateEncodingException

    public CertificateEncodingException(Throwable cause)

  Creates a `CertificateEncodingException` with the specified cause and a detail message of `(cause==null ? null : cause.toString())` (which typically contains the class and detail message of `cause`).

  Parameters:
    `cause` - the cause (which is saved for later retrieval by the `Throwable.getCause()` method). (A `null` value is permitted, and indicates that the cause is nonexistent or unknown.)
  Since:
    1.5

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Java™ Platform Standard Ed. 6
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Submit a bug or feature
For further API reference and developer documentation, see Java SE Developer Documentation. That documentation contains more detailed, developer-targeted descriptions, with conceptual overviews, definitions of terms, workarounds, and working code examples.

Copyright 2009 Sun Microsystems, Inc. All rights reserved. Use is subject to license terms. Also see the documentation redistribution policy.